DECLARE

  vNewQuery  INTEGER;

  CURSOR csrScenario IS
     SELECT ID, UserID, TYPE, SystemID, Query_ID FROM PM_Scenario
       WHERE TYPE IN ('A','C')
       FOR UPDATE OF Query_ID;

BEGIN

  FOR vScenario IN csrScenario LOOP

    vNewQuery := WM_Scenario.Create_Scenario_Query( vScenario.SystemID, vScenario.TYPE );
    UPDATE PM_Scenario SET Query_ID = vNewQuery WHERE CURRENT OF csrScenario;

  END LOOP;

  COMMIT;
END;
/
EXIT;
