#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./scripts/preUpgradeCleanup.sh BL_prospect_installer_8.0.6.0.13_20081104  181901
# (#) 
#

## cleanup old files that may fail the upgrade
echo " "
echo "====================================================="
echo " Cleaning old files ....   "
echo "====================================================="

cd $FLEXPM_HOME

rm -rf ${FLEXPM_HOME}/pm/pas     
rm -rf ${FLEXPM_HOME}/pm/bin    
rm -rf ${FLEXPM_HOME}/pm/lib   
rm -rf ${FLEXPM_HOME}/pm/adm/DiskUtil.jar 
rm -rf ${FLEXPM_HOME}/pm/adm/Object* 
rm -rf ${FLEXPM_HOME}/pm/adm/gtar 
rm -rf ${FLEXPM_HOME}/pm/adm/g*zip 
rm -rf ${FLEXPM_HOME}/pm/adm/pmon   
rm -rf ${FLEXPM_HOME}/pm/adm/proc*  
rm -rf ${FLEXPM_HOME}/pm/adm/templates/rpDeploy* 
rm -rf ${FLEXPM_HOME}/pm/adm/top  
rm -rf ${FLEXPM_HOME}/pm/adm/update_report_results.pl 
rm -rf ${FLEXPM_HOME}/pm/run/taskSet.hdd  
rm -rf ${FLEXPM_HOME}/licenses 
rm -rf ${FLEXPM_HOME}/migrate 
rm -rf ${FLEXPM_HOME}/sw/oracle/dbstart
rm -rf ${FLEXPM_HOME}/wm/run

return 0
